# AmazonCheckRootAccessKeysParameters Object

## Description

Parameters for the Amazon Check Root Access Keys action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### reportFormat

Format of the final report. Required when `targetType` is `email`.

Type: `string`

Valid Values:

* `email`
* `email-html-attachment`
* `email-csv-attachment`

Required: Conditional

### targetEmails

The target email addresses to send the final report.

Type: array of `string`

Required: No

### targetType

Indicates whether a report should be generated with the execution results.

Type: `string`

Valid Values:

* `none`
* `email`

Required: No

Default: `none`

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    
    "targetType": "email",
    "targetEmails": [
        "foo@example.com"
    ],
    "ReportFormat": "email"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncheckrootaccesskeysparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
